mptctl_syscall_down
Prev | Fusion message devices | Next

## Name

mptctl_syscall_down — Down the MPT adapter syscall semaphore.

## Synopsis

`int mptctl_syscall_down (` | MPT_ADAPTER * | ioc,
| int | nonblock`)`;

## Arguments

`ioc`

  Pointer to MPT adapter

`nonblock`

  boolean, non-zero if O_NONBLOCK is set

## Description

All of the ioctl commands can potentially sleep, which is illegal with a spinlock held, thus we perform mutual exclusion here.

Returns negative errno on error, or zero for success.

Prev | Up | Next
mptscsih_synchronize_cache | Home | mptspi_setTargetNegoParms